Page MenuHomePhabricator

[Epic] Consolidate queue abstractions
Closed, ResolvedPublic

Description

We currently have Queue, PHP-Queue, and DonationQueue abstractions for our PHP code. Push towards consolidating, probably towards an isolated module like PHP-Queue. DonationQueue is sort of legit because it wraps PHP-Queue, maybe rename so that the class's responsibilities are more clear, it's just a message normalization helper. Maybe push that functionality into a new thing.

Drop KeyValue store.

The generalized queue functionality is the responsibility of PHP-Queue. Any configuration or financial extensions should be implemented in SmashPig.

Event Timeline

awight created this task.Mar 30 2016, 6:44 PM
awight updated the task description. (Show Details)Apr 20 2016, 8:49 PM
awight set the point value for this task to 3.

Change 284597 had a related patch set uploaded (by Awight):
[WIP] Integrate with PHP-Queue

https://gerrit.wikimedia.org/r/284597

Change 284977 had a related patch set uploaded (by Awight):
[WIP] Playing with the FIFO API

https://gerrit.wikimedia.org/r/284977

I've created a generic wrapper in SmashPig, FifoDataStore, which can use any FIFO PHP-Queue backend. I'll build the donation message specific layer on top of that.

awight renamed this task from Consolidate queue abstractions to [Epic] Consolidate queue abstractions.Apr 29 2016, 12:35 AM
awight added a project: Technical-Debt.
awight removed the point value for this task.

Change 284977 merged by jenkins-bot:
New interface for atomic reads

https://gerrit.wikimedia.org/r/284977

awight removed awight as the assignee of this task.May 13 2016, 1:59 AM
awight closed this task as Resolved.Jul 12 2016, 5:51 PM

Change 284597 abandoned by Awight:
Integrate with PHP-Queue

https://gerrit.wikimedia.org/r/284597

mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM